//#include "DIALOGS\Morgan Terror_Dialog.h"
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, Diag; //NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(Diag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();

	ref Clair = CharacterFromID("Claire Larrouse");

	int my_nation = sti(PChar.nation);
	int dest_nation = ENGLAND;
	float fTime;
	int year = 0;
	if (CheckAttribute(&Environment, "date.year")) year = sti(Environment.date.year);
	if (!CheckAttribute(PChar, "quest.tour.location")) PChar.quest.tour.location = "Oxbay";

	string Next_Location;

	switch(PChar.quest.tour.location)
	{
		case "Greenford": Next_Location = "#sGreenford#"; break;
		case "Redmond": Next_Location = "#sRedmond#"; break;
		case "Falaise": Next_Location = "#sFalaise de Fleur#"; break;
		case "Muelle": Next_Location = "#sIsla Muelle#"; break;
		case "Quebradas": Next_Location = "#sisland_Quebradas Costillas#"; break;
		case "QC_town": Next_location = "#sQuebradas Costillas#"; break;
		case "Douwesen": Next_Location = "#sDouwesen#"; break;
		case "Pirate_Fort": Next_Location = DLG_TEXT[135]; break;
		case "Conceicao": Next_Location = "#sConceicao#"; break;
		case "Smugglers_Lair": Next_Location = DLG_TEXT[153]; break;
		case "KhaelRoa": Next_Location = "#sisland_Khael Roa#"; break;
		Next_Location = "#sOxbay#";
	}
	
	switch(Dialog.CurrentNode)
	{
		// -----------------------------------  -  
		
		case "exit":
			Diag.CurrentNode = Diag.TempNode; //"First time";
			DialogExit();
		break;

		case "Exit_delay_tour":
			Diag.TempNode = "Tour_delayed_start";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_delay_continue_tour":
			Diag.TempNode = "Tour_delayed_continue";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

	
		case "First time":
			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "dialogs\0\009";

			dialog.text = DLG_TEXT[0];
			link.l1 = DLG_TEXT[2];
			link.l1.go = "Exit";
		break;

		case "Tour_delayed_start":
			dialog.text = DLG_TEXT[22];
			link.l1 = DLG_TEXT[20];
			link.l1.go = "Start_tour";
			link.l2 = DLG_TEXT[21];
			link.l2.go = "Exit";
		break;

		case "Tour_delayed_continue":
			dialog.text = DLG_TEXT[31] + PChar.lastname + DLG_TEXT[32];
			if (PChar.quest.tour.next_location == "")
			{
				link.l1 = DLG_TEXT[33];
				link.l1.go = "Where_next";
			}
			else
			{
				link.l1 = DLG_TEXT[33];
				switch(PChar.quest.tour.next_location)
				{
					case "Greenford": link.l1.go = "Go_to_Greenford"; break;
					case "Redmond": link.l1.go = "Go_to_Redmond"; break;
				}
			}
			link.l2 = DLG_TEXT[34];
			link.l2.go = "Exit";
		break;

		case "Meeting":
			dialog.text = DLG_TEXT[3];
			link.l1 = DLG_TEXT[4] + PChar.name + " " + PChar.lastname + DLG_TEXT[5];
			link.l1.go = "All_lies";
		break;

		case "All_lies":
			dialog.text = DLG_TEXT[6];
			link.l1 = DLG_TEXT[7];
			link.l1.go = "Confession";
		break;

		case "Confession":
			dialog.text = DLG_TEXT[8] + DLG_TEXT[9] + DLG_TEXT[11];
			link.l1 = pcharrepphrase(DLG_TEXT[12], DLG_TEXT[13]);
			link.l1.go = "Explain_uniform";
		break;

		case "Explain_uniform":
			dialog.text = DLG_TEXT[14] + "\n" + DLG_TEXT[15] + "\n" + DLG_TEXT[16] + "\n" + DLG_TEXT[17];
			link.l1 = DLG_TEXT[18];
			link.l1.go = "Proposition";
		break;

		case "Proposition":
			dialog.text = DLG_TEXT[19];
			link.l1 = DLG_TEXT[20];
			link.l1.go = "Start_tour";
			link.l2 = DLG_TEXT[21];
			link.l2.go = "Exit_delay_tour";
		break;

		case "Start_tour":
			SetQuestHeader("Barbossa_tour");
			AddQuestRecord("Barbossa_tour", 1);
			PChar.quest.tour.next_location = "Greenford";
			dialog.text = DLG_TEXT[23];
			if (PChar.name == "Nathaniel" && PChar.lastname == "Hawk") dialog.text = dialog.text + DLG_TEXT[24];
			else dialog.text = dialog.text + DLG_TEXT[25];
			if (PChar.name != "Danielle" || PChar.lastname != "Greene") dialog.text = dialog.text + DLG_TEXT[26];
			link.l1 = DLG_TEXT[27];
			link.l1.go = "Oxbay2";
			link.l2 = DLG_TEXT[29];
			link.l2.go = "Go_to_Greenford";
		break;

		case "Oxbay2":
			dialog.text = DLG_TEXT[28];
			link.l1 = DLG_TEXT[29];
			link.l1.go = "Go_to_Greenford";
		break;

		case "Go_to_Greenford":
			dialog.text = DLG_TEXT[35];
			link.l1 = DLG_TEXT[36];
			link.l1.go = "Exit_to_Greenford";
		break;

		case "Exit_to_Greenford":
			AddQuestRecord("Barbossa_tour", 2);
			NPChar.location	= "Greenford_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto20";
			PChar.quest.tour.location = "Greenford";
			Diag.TempNode = "Greenford1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Greenford1":
			PChar.quest.tour.next_location = "Redmond";
			if (PChar.location != "Greenford_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				dialog.text = DLG_TEXT[39];
				fTime = GetTime();
				if (fTime > 6.0 && fTime < 22.0) dialog.text = dialog.text + DLG_TEXT[40];
				else dialog.text = dialog.text + DLG_TEXT[41];
				dialog.text = dialog.text + DLG_TEXT[42];
				link.l1 = DLG_TEXT[27];
				link.l1.go = "Greenford2";
				link.l2 = DLG_TEXT[29];
				link.l2.go = "Go_to_Redmond";
				link.l3 = DLG_TEXT[30];
				link.l3.go = "Exit_delay_continue_tour";
			}
		break;

		case "Greenford2":
			dialog.text = DLG_TEXT[43];
			link.l1 = DLG_TEXT[29];
			link.l1.go = "Go_to_Redmond";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Go_to_Redmond":
			dialog.text = DLG_TEXT[44];
			link.l1 = DLG_TEXT[45];
			link.l1.go = "Exit_to_Redmond";
		break;

		case "Exit_to_Redmond":
			AddQuestRecord("Barbossa_tour", 3);
			NPChar.location	= "REDMOND_PORT";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto_58";
			PChar.quest.tour.location = "Redmond";
			Diag.TempNode = "Redmond1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Redmond1":
			AddQuestRecord("Barbossa_tour", 4);
			ref Redmond_governor;
			PChar.quest.tour.Redford_governor_name = "";
			PChar.quest.tour.Redmond_governor_type = "Unknown";
			if (GetCharacterIndex("John Clifford Brin") != -1)
			{
				Redmond_governor = CharacterFromID("John Clifford Brin");
				PChar.quest.tour.Redmond_governor_type = "Non-standard";
			}
			if (GetCharacterIndex("Robert Christopher Silehard") != -1)
			{
				Redmond_governor = CharacterFromID("Robert Christopher Silehard");
				PChar.quest.tour.Redmond_governor_type = "Standard";
			}
			if (PChar.quest.tour.Redmond_governor_type != "Unknown")
			{
				if (CheckAttribute(Redmond_governor, "name")) PChar.quest.tour.Redford_governor_name = Redmond_governor.name;
				if (CheckAttribute(Redmond_governor, "middlename")) PChar.quest.tour.Redford_governor_name = PChar.quest.tour.Redford_governor_name + " " + Redmond_governor.middlename;
				if (CheckAttribute(Redmond_governor, "lastname")) PChar.quest.tour.Redford_governor_name = PChar.quest.tour.Redford_governor_name + " " + Redmond_governor.lastname;
			}
			if (PChar.location != "REDMOND_PORT")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[46];
				link.l1 = DLG_TEXT[47];
				link.l1.go = "Redmond2";
				link.l2 = DLG_TEXT[52];
				link.l2.go = "Where_next";
				link.l3 = DLG_TEXT[30];
				link.l3.go = "Exit_delay_continue_tour";
			}
		break;

		case "Redmond2":
			switch(PChar.quest.tour.Redmond_governor_type)
			{
				case "Unknown": dialog.text = DLG_TEXT[48]; break;
				case "Non-standard": dialog.text = DLG_TEXT[49] + PChar.quest.tour.Redford_governor_name + DLG_TEXT[50]; break;
				case "Standard": dialog.text = DLG_TEXT[49] + PChar.quest.tour.Redford_governor_name + DLG_TEXT[51]; break;
				dialog.text = DLG_TEXT[48];
			}
			link.l1 = DLG_TEXT[52];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";			
		break;

		case "Where_next":
			switch(PChar.location)
			{
				case "REDMOND_PORT": dialog.text = DLG_TEXT[53]; break;
				dialog.text = DLG_TEXT[54];
			}
			if (!CheckAttribute(PChar, "quest.tour.falaise_done")) {link.l1 = DLG_TEXT[57]; link.l1.go = "Go_to_Falaise";}
			if (!CheckAttribute(PChar, "quest.tour.muelle_done")) {link.l2 = DLG_TEXT[58]; link.l2.go = "Go_to_Muelle";}
			if (!CheckAttribute(PChar, "quest.tour.quebradas_done")) {link.l3 = DLG_TEXT[59]; link.l3.go = "Go_to_Quebradas";}
			if (!CheckAttribute(PChar, "quest.tour.douwesen_done")) {link.l4 = DLG_TEXT[60]; link.l4.go = "Go_to_Douwesen";}
			if (!CheckAttribute(PChar, "quest.tour.conceicao_done")) {link.l5 = DLG_TEXT[61]; link.l5.go = "Go_to_Conceicao";}

			if (CheckAttribute(PChar, "quest.tour.falaise_done") && CheckAttribute(PChar, "quest.tour.muelle_done") && CheckAttribute(PChar, "quest.tour.quebradas_done") && CheckAttribute(PChar, "quest.tour.douwesen_done") && CheckAttribute(PChar, "quest.tour.conceicao_done"))
			{
				dialog.text = DLG_TEXT[55];
				link.l1 = DLG_TEXT[67] + "#sisland_Khael Roa#" + DLG_TEXT[68];
				link.l1.go = "Exit_to_Khael";
			}
		break;

		case "Go_to_Falaise":
			dialog.text = DLG_TEXT[62];
			link.l1 = DLG_TEXT[67] + "#sFalaise de Fleur#" + DLG_TEXT[68];
			link.l1.go = "Exit_to_Falaise";
			dest_nation = FRANCE;
			if (year < 1600) dest_nation = SPAIN;
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), dest_nation) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Falaise";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Muelle":
			dialog.text = DLG_TEXT[63];
			link.l1 = DLG_TEXT[67] + "#sIsla Muelle#" + DLG_TEXT[68];
			link.l1.go = "Exit_to_Muelle";
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), SPAIN) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Muelle";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Quebradas":
			dialog.text = DLG_TEXT[64];
			link.l1 = DLG_TEXT[67] + "#sisland_Quebradas Costillas#" + DLG_TEXT[68];
			link.l1.go = "Exit_to_Quebradas";
		break;

		case "Go_to_Douwesen":
			dialog.text = DLG_TEXT[65];
			link.l1 = DLG_TEXT[67] + "#sisland_Douwesen#" + DLG_TEXT[68];
			link.l1.go = "Exit_to_Douwesen";
			dest_nation = HOLLAND;
			if (year < 1600) dest_nation = SPAIN;
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), dest_nation) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Douwesen";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Conceicao":
			dialog.text = DLG_TEXT[66];
			link.l1 = DLG_TEXT[67] + "#sisland_Conceicao#" + DLG_TEXT[68];
			link.l1.go = "Exit_to_Conceicao";
			dest_nation= ENGLAND;
			if (year < 1770) dest_nation = PORTUGAL;
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), dest_nation) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Conceicao";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Exit_to_Falaise":
			AddQuestRecord("Barbossa_tour", 5);
			NPChar.location	= "Falaise_de_fleur_port_01";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto7";
			PChar.quest.tour.location = "Falaise";
			Diag.TempNode = "Falaise1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Quebradas":
			AddQuestRecord("Barbossa_tour", 7);
			NPChar.location	= "QC_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto7";
			PChar.quest.tour.location = "Quebradas";
			Diag.TempNode = "Quebradas1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Muelle":
			AddQuestRecord("Barbossa_tour", 6);
			NPChar.location	= "Muelle_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto9";
			PChar.quest.tour.location = "Muelle";
			Diag.TempNode = "Muelle1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Douwesen":
			AddQuestRecord("Barbossa_tour", 8);
			NPChar.location	= "Douwesen_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto20";
			PChar.quest.tour.location = "Douwesen";
			Diag.TempNode = "Douwesen1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Conceicao":
			AddQuestRecord("Barbossa_tour", 10);
			NPChar.location	= "Conceicao_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto3";
			PChar.quest.tour.location = "Conceicao";
			Diag.TempNode = "Conceicao1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Khael":
			AddQuestRecord("Barbossa_tour", 12);
			NPChar.location	= "KhaelRoa_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto6";
			LAi_SetStayType(NPChar);
			Locations[FindLocation("KhaelRoa_port")].reload.l2.disable = 1;
			Locations[FindLocation("KhaelRoa_port")].reload.l3.disable = 1;
			LAi_LocationFightDisable(&Locations[FindLocation("KhaelRoa_port")], true);
			PChar.quest.tour.location = "KhaelRoa";
			Diag.TempNode = "KhaelRoa1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Flag_warning":
			dialog.text = DLG_TEXT[172];
			link.l1 = DLG_TEXT[173];
			link.l1.go = PChar.quest.tour.next_link;
			PChar.quest.tour.flag_warning_done = true;
		break;

		case "Falaise1":
			if (PChar.location != "Falaise_de_fleur_port_01")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.falaise_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[69];
				link.l1 = DLG_TEXT[70];
				link.l1.go = "Falaise2";
			}
		break;

		case "Falaise2":
			dialog.text = DLG_TEXT[71];
			link.l1 = DLG_TEXT[72];
			link.l1.go = "Falaise3";
		break;

		case "Falaise3":
			AddQuestRecord("Barbossa_tour", 13);
			dialog.text = DLG_TEXT[73];
			link.l1 = DLG_TEXT[74];
			link.l1.go = "Falaise4";
			link.l2 = DLG_TEXT[78];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Falaise4":
			string additional_quest = "";
			if (!CheckAttribute(PChar, "quest.crys_skull_status")) additional_quest = DLG_TEXT[77];
			if (!CheckAttribute(CharacterFromID("Sabine Matton"), "quest.hire") || Characters[GetCharacterIndex("Sabine Matton")].quest.hire == "0") additional_quest = DLG_TEXT[76];
			dialog.text = DLG_TEXT[75] + additional_quest;
			link.l1 = DLG_TEXT[78];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Quebradas1":
			if (PChar.location != "QC_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				AddQuestRecord("Barbossa_tour", 16);
				PChar.quest.tour.quebradas_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[79];
				if (year>=1500 && year<1600)	dialog.text = dialog.text + DLG_TEXT[82];	// Early Explorers -> "a Spanish town"
				if (year>=1600 && year<1680)	dialog.text = dialog.text + DLG_TEXT[80];	// Spanish Main -> "an English town"
				if (year>=1680)			dialog.text = dialog.text + DLG_TEXT[81];	// Golden Age of Piracy or later -> "a British town"
				dialog.text = dialog.text + DLG_TEXT[83];
				if (!CheckAttribute(NPChar, "quest.outfit_changed")) dialog.text = dialog.text + DLG_TEXT[175];
				else dialog.text = dialog.text + DLG_TEXT[176];
				link.l1 = DLG_TEXT[85];
				link.l1.go = "Exit_to_QC_town";
				if (!CheckAttribute(PChar, "quest.tour.falaise_done") || !CheckAttribute(PChar, "quest.tour.muelle_done") || !CheckAttribute(PChar, "quest.tour.douwesen_done") || !CheckAttribute(PChar, "quest.tour.conceicao_done"))
				{
					dialog.text = dialog.text + DLG_TEXT[84];
					link.l2 = DLG_TEXT[86];
					link.l2.go = "Where_next";
				}
				link.l3 = DLG_TEXT[30];
				link.l3.go = "Exit_delay_continue_tour";
			}
		break;

		case "Exit_to_QC_town":
			NPChar.location	= "QC_town";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto6";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			PChar.quest.tour.location = "QC_town";
			Diag.TempNode = "Quebradas2";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Quebradas2":
			if (PChar.location != "QC_town")
			{
				dialog.text = DLG_TEXT[87] + PChar.lastname + DLG_TEXT[88];
				link.l1 = DLG_TEXT[89];
				link.l1.go = "exit";
			}
			else
			{
				if (!CheckAttribute(NPChar, "quest.outfit_changed"))
				{
					dialog.text = DLG_TEXT[90];
					NPChar.quest.outfit_changed = true;
				}
				else dialog.text = "";
				fTime = GetTime();
				if (fTime > 6.0 && fTime < 22.0) dialog.text = dialog.text + DLG_TEXT[91];
				else dialog.text = dialog.text + DLG_TEXT[92];
				link.l1 = DLG_TEXT[93];
				link.l1.go = "Quebradas3";
				link.l2 = DLG_TEXT[95];
				link.l2.go = "Where_next";
				link.l3 = DLG_TEXT[30];
				link.l3.go = "Exit_delay_continue_tour";
			}
		break;

		case "Quebradas3":
			dialog.text = DLG_TEXT[94];
			if (GetCharacterIndex("Woodes Rogers") == -1) dialog.text = dialog.text + DLG_TEXT[174];	// Don't add the bit about Kate Blowhorn if you're playing "Woodes Rogers", as the storekeeper is still Peter Blowhorn
			link.l1 = DLG_TEXT[95];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Muelle1":
			if (PChar.location != "Muelle_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.muelle_done = true;
				PChar.quest.tour.next_location = "";
				AddQuestRecord("Barbossa_tour", 14);
				if (year>=1500 && year<1600)	dialog.text = DLG_TEXT[96] + DLG_TEXT[97];	// Early Explorers
				if (year>=1600 && year<1680)	dialog.text = DLG_TEXT[96] + DLG_TEXT[98];	// Spanish Main
				if (year>=1680 && year<1790)	dialog.text = DLG_TEXT[96] + DLG_TEXT[99];	// Golden Age of Piracy to Revolutions
				if (year>=1790)			dialog.text = DLG_TEXT[96] + DLG_TEXT[100];	// Napoleonic
				dialog.text = dialog.text + DLG_TEXT[101];
				if (year<1790)
				{
					dialog.text = dialog.text + DLG_TEXT[102];
					if (GetNationRelation2MainCharacter(SPAIN) == RELATION_ENEMY) link.l1 = DLG_TEXT[105];
					else link.l1 = DLG_TEXT[103];
					link.l1.go = "Muelle2";
				}
				else
				{
					link.l1 = DLG_TEXT[108];
					link.l1.go = "Muelle3";
					link.l2 = DLG_TEXT[86];
					link.l2.go = "Where_next";
					link.l3 = DLG_TEXT[30];
					link.l3.go = "Exit_delay_continue_tour";
				}
			}
		break;

		case "Muelle2":
			if (GetNationRelation2MainCharacter(SPAIN) == RELATION_ENEMY) dialog.text = DLG_TEXT[106];
			else dialog.text = DLG_TEXT[104];
			link.l1 = DLG_TEXT[107];
			link.l1.go = "Muelle3";
			link.l2 = DLG_TEXT[86];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Muelle3":
			AddQuestRecord("Barbossa_tour", 15);
			if (CheckAttribute(PChar, "quest.tour.falaise_done")) dialog.text = DLG_TEXT[109];
			else dialog.text = DLG_TEXT[110];
			dialog.text = dialog.text + DLG_TEXT[111];
			if (LAi_IsDead(Clair) || Clair.dialog.CurrentNode != "First time" || Clair.location != "Muelle_tavern")
			{
				dialog.text = dialog.text + DLG_TEXT[112];
				link.l1 = DLG_TEXT[115];				
			}
			else
			{
				dialog.text = dialog.text + DLG_TEXT[113];
				link.l1 = DLG_TEXT[116];				
			}
			dialog.text = dialog.text + "\n" + DLG_TEXT[114];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Douwesen1":
			if (PChar.location != "Douwesen_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.douwesen_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[117];
				if (!CheckAttribute(PChar, "quest.ANIMISTS")) dialog.text = dialog.text + DLG_TEXT[118];
				else dialog.text = dialog.text + DLG_TEXT[119];
				dialog.text = dialog.text + DLG_TEXT[120];
				link.l1 = DLG_TEXT[121];
				link.l1.go = "Douwesen2";
			}
		break;

		case "Douwesen2":
			if (!CheckAttribute(PChar, "quest.ANIMISTS")) dialog.text = DLG_TEXT[122];
			else dialog.text = DLG_TEXT[123];
			dialog.text = dialog.text + "\n" + DLG_TEXT[124] + "\n";
			if (year>=1680 && year<1770)								// Golden Age of Piracy, Colonial Powers
			{
				dialog.text = dialog.text + DLG_TEXT[125];
				AddQuestRecord("Barbossa_tour", 18);
			}
			else
			{
				dialog.text = dialog.text + DLG_TEXT[126] + DLG_TEXT[127] + year;
				if (year<1680)			dialog.text = dialog.text + DLG_TEXT[128];	// Early Explorers, Spanish Main
				if (year>=1770 && year < 1790)	dialog.text = dialog.text + DLG_TEXT[129];	// Revolutions
				if (year>=1790)			dialog.text = dialog.text + DLG_TEXT[129];	// Napoleonic
				AddQuestRecord("Barbossa_tour", 17);
			}
			link.l1 = DLG_TEXT[130];
			link.l1.go = "Douwesen3";
			link.l2 = DLG_TEXT[131];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Douwesen3":
			dialog.text = DLG_TEXT[132];
			link.l1 = DLG_TEXT[133];
			link.l1.go = "Exit_to_Pirate_Fort";
			link.l2 = DLG_TEXT[134];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";	
		break;

		case "Exit_to_Pirate_Fort":
			AddQuestRecord("Barbossa_tour", 9);
			NPChar.location	= "Pirate_Fort";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto28";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			PChar.quest.tour.location = "Pirate_Fort";
			Diag.TempNode = "Pirate_Fort1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Pirate_Fort1":
			if (PChar.location != "Pirate_Fort")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				AddQuestRecord("Barbossa_tour", 19);
				dialog.text = DLG_TEXT[136];
				if (!CheckAttribute(NPChar, "quest.outfit_changed"))
				{
					dialog.text = dialog.text + DLG_TEXT[137];
					NPChar.quest.outfit_changed = true;
				}
				link.l1 = DLG_TEXT[138];
				link.l1.go = "Where_next";
				link.l2 = DLG_TEXT[30];
				link.l2.go = "Exit_delay_continue_tour";
			}
		break;

		case "Conceicao1":
			if (PChar.location != "Conceicao_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.conceicao_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[139];
				link.l1 = DLG_TEXT[140];
				link.l1.go = "Conceicao2";
			}
		break;

		case "Conceicao2":
			dialog.text = DLG_TEXT[141];
			link.l1 = DLG_TEXT[142];
			link.l1.go = "Conceicao3";
		break;

		case "Conceicao3":
			dialog.text = DLG_TEXT[143];
			link.l1 = DLG_TEXT[144];
			link.l1.go = "Conceicao4";
		break;

		case "Conceicao4":
			AddQuestRecord("Barbossa_tour", 20);
			dialog.text = DLG_TEXT[145];
			link.l1 = DLG_TEXT[146];
			if (FindLocation("Con_blacksmith") != -1) link.l1.go = "Conceicao_smith";
			else link.l1.go = "Conceicao5";
			link.l2 = DLG_TEXT[147];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Conceicao_smith":
			dialog.text = DLG_TEXT[148];
			link.l1 = DLG_TEXT[149];
			link.l1.go = "Conceicao5";
			link.l2 = DLG_TEXT[86];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Conceicao5":
			dialog.text = DLG_TEXT[150];
			link.l1 = DLG_TEXT[151];
			link.l1.go = "Exit_to_Smugglers_Lair";
			link.l2 = DLG_TEXT[152];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[30];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Exit_to_Smugglers_Lair":
			AddQuestRecord("Barbossa_tour", 11);
			NPChar.location	= "Smugglers_Lair";
			NPChar.location.group = "goto";
			NPChar.location.locator = "character11";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			NPChar.quest.outfit_changed = true;
			PChar.quest.tour.location = "Smugglers_Lair";
			Diag.TempNode = "Smugglers_Lair1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Smugglers_Lair1":
			if (PChar.location != "Smugglers_Lair")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				dialog.text = DLG_TEXT[154] + GetMyFullName(CharacterFromID("Desmond Ray Beltrop")) + DLG_TEXT[155];
				link.l1 = DLG_TEXT[156];
				link.l1.go = "Smugglers_Lair2";
			}
		break;

		case "Smugglers_Lair2":
			AddQuestRecord("Barbossa_tour", 21);
			dialog.text = DLG_TEXT[157];
			link.l1 = DLG_TEXT[158];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[30];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "KhaelRoa1":
			if (PChar.location != "KhaelRoa_port")
			{
				dialog.text = DLG_TEXT[37] + Next_Location + "?";
				link.l1 = DLG_TEXT[38];
				link.l1.go = "exit";
			}
			else
			{
				Locations[FindLocation("KhaelRoa_port")].reload.l2.disable = 0;
				Locations[FindLocation("KhaelRoa_port")].reload.l3.disable = 0;
				dialog.text = DLG_TEXT[159];
				if (GetCharacterIndex("Robert Christopher Silehard") == -1) dialog.text = dialog.text + DLG_TEXT[160];
				else dialog.text = dialog.text + DLG_TEXT[161];
				link.l1 = DLG_TEXT[165];
				link.l1.go = "KhaelRoa2";
			}
		break;

		case "KhaelRoa2":
			if (GetCharacterIndex("Robert Christopher Silehard") == -1) dialog.text = DLG_TEXT[163];
			else dialog.text = DLG_TEXT[164];
			link.l1 = DLG_TEXT[165];
			link.l1.go = "Tour_end";
		break;

		case "Tour_end":
			dialog.text = DLG_TEXT[166] + PChar.lastname + DLG_TEXT[167];
			link.l1 = DLG_TEXT[168];
			link.l1.go = "Exit_tour_end";
		break;

		case "Tour_end1":
			dialog.text = DLG_TEXT[169];
			link.l1 = DLG_TEXT[170];
			link.l1.go = "exit";
			LAi_LocationFightDisable(&Locations[FindLocation("KhaelRoa_port")], false);
			LAi_SetWarriorType(NPChar);
			LAi_warrior_DialogEnable(NPChar, true);
			LAi_warrior_SetStay(NPChar, true);
		break;

		case "Exit_tour_end":
			AddQuestRecord("Barbossa_tour", 22);
			CloseQuestHeader("Barbossa_tour");
			NPChar.location	= "None";
			NPChar.location.group = "";
			NPChar.location.locator = "";
			PChar.quest.tour.location = "";

// Levelling messes up a character's perks, so set them here
			NPChar.perks.list.BasicDefense = true;
			NPChar.perks.list.AdvancedDefense = true;
			NPChar.perks.list.SwordplayProfessional = true;
			NPChar.perks.list.CriticalHit = true;
			Lai_SetImmortal(NPChar, false);

			if (GetCharacterIndex("Robert Christopher Silehard") == -1)	// If Silehard doesn't exist, you're not playing "Tales of a Sea Hawk", so fake Barbossa attacks your ship.
			{								// If you are playing "Tales of a Sea Hawk" then the real Barbossa will attack you in the real 'Black Pearl'.
				Group_CreateGroup("Black_Pearl");
				Group_AddCharacter("Black_Pearl", NPChar.id);
				SetCharacterRelation(GetCharacterIndex(NPChar.id),GetMainCharacterIndex(),RELATION_ENEMY);
				Group_SetGroupCommander("Black_Pearl", NPChar.id);
				Group_SetTaskAttack("Black_Pearl", PLAYER_GROUP, true);
				Group_SetAddress("Black_Pearl", "KhaelRoa", "Quest_Ships","Quest_Ship_2");
				Group_LockTask("Black_Pearl");
			}

			Diag.TempNode = "Tour_end1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;
	}
}