//#include "DIALOGS\Morgan Terror_Dialog.h"
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, Diag; //NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(Diag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();

	ref Clair = CharacterFromID("Clair Larrouse");

	int my_nation = sti(PChar.nation);
	float fTime;
	int year = 0;
	if (CheckAttribute(&Environment, "date.year")) year = sti(Environment.date.year);

	if (!CheckAttribute(PChar, "quest.tour.location")) PChar.quest.tour.location = "Oxbay";

	string Next_Location;
	switch(PChar.quest.tour.location)
	{
		case "Greenford": Next_Location = "Greenford"; break;
		case "Redmond": Next_Location = "Redmond"; break;
		case "Falaise": Next_Location = "Falaise de Fleur"; break;
		case "Muelle": Next_Location = "Isla Muelle"; break;
		case "Quebradas": Next_Location = "Quebradas Costillas"; break;
		case "Douwesen": Next_Location = "Douwesen"; break;
		case "Pirate_Fort": Next_Location = DLG_TEXT[121]; break;
		case "Conceicao": Next_Location = "Conceicao"; break;
		case "Smugglers_Lair": Next_Location = DLG_TEXT[139]; break;
		case "KhaelRoa": Next_Location = "Khael Roa"; break;
		Next_Location = "Oxbay";
	}
	
	switch(Dialog.CurrentNode)
	{
		// -----------------------------------  -  
		
		case "exit":
			Diag.CurrentNode = Diag.TempNode; //"First time";
			DialogExit();
		break;

		case "Exit_delay_tour":
			Diag.TempNode = "Tour_delayed_start";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_delay_continue_tour":
			Diag.TempNode = "Tour_delayed_continue";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

	
		case "First time":
			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "dialogs\0\009";

			dialog.text = DLG_TEXT[0];
			link.l1 = DLG_TEXT[2];
			link.l1.go = "Exit";
		break;

		case "Tour_delayed_start":
			dialog.text = DLG_TEXT[24];
			link.l1 = DLG_TEXT[22];
			link.l1.go = "Start_tour";
			link.l2 = DLG_TEXT[23];
			link.l2.go = "Exit";
		break;

		case "Tour_delayed_continue":
			dialog.text = DLG_TEXT[32] + PChar.lastname + DLG_TEXT[33];
			if (PChar.quest.tour.next_location == "")
			{
				link.l1 = DLG_TEXT[34];
				link.l1.go = "Where_next";
			}
			else
			{
				link.l1 = DLG_TEXT[34];
				switch(PChar.quest.tour.next_location)
				{
					case "Greenford": link.l1.go = "Go_to_Greenford"; break;
					case "Redmond": link.l1.go = "Go_to_Redmond"; break;
				}
			}
			link.l2 = DLG_TEXT[35];
			link.l2.go = "Exit";
		break;

		case "Meeting":
			dialog.text = DLG_TEXT[3];
			link.l1 = DLG_TEXT[4] + PChar.name + " " + PChar.lastname + DLG_TEXT[5];
			link.l1.go = "All_lies";
		break;

		case "All_lies":
			dialog.text = DLG_TEXT[6];
			link.l1 = DLG_TEXT[7];
			link.l1.go = "Confession";
		break;

		case "Confession":
			dialog.text = DLG_TEXT[8] + DLG_TEXT[9] + DLG_TEXT[11];
			link.l1 = pcharrepphrase(DLG_TEXT[12], DLG_TEXT[13]);
			link.l1.go = "Explain_uniform";
		break;

		case "Explain_uniform":
			dialog.text = DLG_TEXT[14] + "\n" + DLG_TEXT[15] + "\n" + DLG_TEXT[16] + "\n" + DLG_TEXT[17];
			link.l1 = DLG_TEXT[18];
			link.l1.go = "Proposition";
		break;

		case "Proposition":
			dialog.text = DLG_TEXT[19];
			link.l1 = DLG_TEXT[20];
			link.l1.go = "stock_modders";
		break;

		case "stock_modders":
			dialog.text = DLG_TEXT[21];
			link.l1 = DLG_TEXT[22];
			link.l1.go = "Start_tour";
			link.l2 = DLG_TEXT[23];
			link.l2.go = "Exit_delay_tour";
		break;

		case "Start_tour":
			SetQuestHeader("Barbossa_tour");
			AddQuestRecord("Barbossa_tour", 1);
			PChar.quest.tour.next_location = "Greenford";
			dialog.text = DLG_TEXT[25];
			link.l1 = DLG_TEXT[26];
			link.l1.go = "Oxbay2";
			link.l2 = DLG_TEXT[27];
			link.l2.go = "Go_to_Greenford";
		break;

		case "Oxbay2":
			dialog.text = DLG_TEXT[28];
			link.l1 = DLG_TEXT[29];
			link.l1.go = "Go_to_Greenford";
		break;

		case "Go_to_Greenford":
			dialog.text = DLG_TEXT[36];
			link.l1 = DLG_TEXT[37];
			link.l1.go = "Exit_to_Greenford";
		break;

		case "Exit_to_Greenford":
			AddQuestRecord("Barbossa_tour", 2);
			NPChar.location	= "Greenford_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto20";
			PChar.quest.tour.location = "Greenford";
			Diag.TempNode = "Greenford1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Greenford1":
			PChar.quest.tour.next_location = "Redmond";
			if (PChar.location != "Greenford_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				dialog.text = DLG_TEXT[40];
				fTime = GetTime();
				if (fTime > 6.0 && fTime < 22.0) dialog.text = dialog.text + DLG_TEXT[41];
				else dialog.text = dialog.text + DLG_TEXT[42];
				dialog.text = dialog.text + DLG_TEXT[43];
				link.l1 = DLG_TEXT[27];
				link.l1.go = "Go_to_Redmond";
				link.l2 = DLG_TEXT[31];
				link.l2.go = "Exit_delay_continue_tour";
			}
		break;

		case "Go_to_Redmond":
			dialog.text = DLG_TEXT[44];
			link.l1 = DLG_TEXT[45];
			link.l1.go = "Exit_to_Redmond";
		break;

		case "Exit_to_Redmond":
			AddQuestRecord("Barbossa_tour", 3);
			NPChar.location	= "REDMOND_PORT";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto_58";
			PChar.quest.tour.location = "Redmond";
			Diag.TempNode = "Redmond1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Redmond1":
			ref Redmond_governor = CharacterFromID("Robert Christopher Silehard");
			PChar.quest.tour.Redmond_governor_type = "Standard";
			PChar.quest.tour.Redford_governor_name = "Robert Christopher Silehard";
			if (PChar.location != "REDMOND_PORT")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[46];
				link.l1 = DLG_TEXT[47];
				link.l1.go = "Redmond2";
			}
		break;

		case "Redmond2":
			AddQuestRecord("Barbossa_tour", 4);
			dialog.text = DLG_TEXT[48] + DLG_TEXT[49] + year + DLG_TEXT[50];
			link.l1 = DLG_TEXT[51];
			link.l1.go = "Redmond3";
			link.l2 = DLG_TEXT[53];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Redmond3":
			dialog.text = DLG_TEXT[52];
			link.l1 = DLG_TEXT[53];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[31];
			link.l2.go = "Exit_delay_continue_tour";			
		break;

		case "Where_next":
			switch(PChar.location)
			{
				case "REDMOND_PORT": dialog.text = DLG_TEXT[54]; break;
				dialog.text = DLG_TEXT[55];
			}
			if (!CheckAttribute(PChar, "quest.tour.falaise_done")) {link.l1 = DLG_TEXT[58]; link.l1.go = "Go_to_Falaise";}
			if (!CheckAttribute(PChar, "quest.tour.muelle_done")) {link.l2 = DLG_TEXT[59]; link.l2.go = "Go_to_Muelle";}
			if (!CheckAttribute(PChar, "quest.tour.quebradas_done")) {link.l3 = DLG_TEXT[60]; link.l3.go = "Go_to_Quebradas";}
			if (!CheckAttribute(PChar, "quest.tour.douwesen_done")) {link.l4 = DLG_TEXT[61]; link.l4.go = "Go_to_Douwesen";}
			if (!CheckAttribute(PChar, "quest.tour.conceicao_done")) {link.l5 = DLG_TEXT[62]; link.l5.go = "Go_to_Conceicao";}

			if (CheckAttribute(PChar, "quest.tour.falaise_done") && CheckAttribute(PChar, "quest.tour.muelle_done") && CheckAttribute(PChar, "quest.tour.quebradas_done") && CheckAttribute(PChar, "quest.tour.douwesen_done") && CheckAttribute(PChar, "quest.tour.conceicao_done"))
			{
				dialog.text = DLG_TEXT[56] + DLG_TEXT[57];
				link.l1 = DLG_TEXT[68];
				link.l1.go = "Exit_to_Khael";
			}
		break;

		case "Go_to_Falaise":
			dialog.text = DLG_TEXT[63];
			link.l1 = DLG_TEXT[69];
			link.l1.go = "Exit_to_Falaise";
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), FRANCE) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Falaise";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Muelle":
			dialog.text = DLG_TEXT[64];
			link.l1 = DLG_TEXT[70];
			link.l1.go = "Exit_to_Muelle";
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), SPAIN) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Muelle";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Quebradas":
			dialog.text = DLG_TEXT[65];
			link.l1 = DLG_TEXT[71];
			link.l1.go = "Exit_to_Quebradas";
		break;

		case "Go_to_Douwesen":
			dialog.text = DLG_TEXT[66];
			link.l1 = DLG_TEXT[72];
			link.l1.go = "Exit_to_Douwesen";
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), HOLLAND) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Douwesen";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Go_to_Conceicao":
			dialog.text = DLG_TEXT[67];
			link.l1 = DLG_TEXT[73];
			link.l1.go = "Exit_to_Conceicao";
			if (!CheckAttribute(PChar, "quest.tour.flag_warning_done") && GetNationRelation(sti(PChar.nation), PORTUGAL) == RELATION_ENEMY)
			{
				PChar.quest.tour.next_link = "Exit_to_Conceicao";
				link.l1.go = "Flag_warning";
			}
		break;

		case "Exit_to_Falaise":
			AddQuestRecord("Barbossa_tour", 5);
			NPChar.location	= "Falaise_de_fleur_port_01";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto7";
			PChar.quest.tour.location = "Falaise";
			Diag.TempNode = "Falaise1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Quebradas":
			AddQuestRecord("Barbossa_tour", 7);
			NPChar.location	= "QC_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto7";
			PChar.quest.tour.location = "Quebradas";
			Diag.TempNode = "Quebradas1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Muelle":
			AddQuestRecord("Barbossa_tour", 6);
			NPChar.location	= "Muelle_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto9";
			PChar.quest.tour.location = "Muelle";
			Diag.TempNode = "Muelle1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Douwesen":
			AddQuestRecord("Barbossa_tour", 8);
			NPChar.location	= "Douwesen_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto20";
			PChar.quest.tour.location = "Douwesen";
			Diag.TempNode = "Douwesen1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Conceicao":
			AddQuestRecord("Barbossa_tour", 10);
			NPChar.location	= "Conceicao_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto3";
			PChar.quest.tour.location = "Conceicao";
			Diag.TempNode = "Conceicao1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Exit_to_Khael":
			AddQuestRecord("Barbossa_tour", 12);
			NPChar.location	= "KhaelRoa_port";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto6";
			LAi_SetStayType(NPChar);
			Locations[FindLocation("KhaelRoa_port")].reload.l2.disable = 1;
			Locations[FindLocation("KhaelRoa_port")].reload.l3.disable = 1;
			LAi_LocationFightDisable(&Locations[FindLocation("KhaelRoa_port")], true);
			PChar.quest.tour.location = "KhaelRoa";
			Diag.TempNode = "KhaelRoa1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Flag_warning":
			dialog.text = DLG_TEXT[156];
			link.l1 = DLG_TEXT[157];
			link.l1.go = PChar.quest.tour.next_link;
			PChar.quest.tour.flag_warning_done = true;
		break;

		case "Falaise1":
			if (PChar.location != "Falaise_de_fleur_port_01")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.falaise_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[74];
				link.l1 = DLG_TEXT[75];
				link.l1.go = "Falaise2";
			}
		break;

		case "Falaise2":
			if (CheckAttribute(PChar, "quest.muelle_done")) dialog.text = DLG_TEXT[77];
			else dialog.text = DLG_TEXT[76];
			link.l1 = DLG_TEXT[78];
			link.l1.go = "Falaise3";
		break;

		case "Falaise3":
			AddQuestRecord("Barbossa_tour", 13);
			dialog.text = DLG_TEXT[79];
			link.l1 = DLG_TEXT[80];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[31];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Quebradas1":
			if (PChar.location != "QC_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				AddQuestRecord("Barbossa_tour", 16);
				PChar.quest.tour.quebradas_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[81];
				link.l1 = DLG_TEXT[82];
				link.l1.go = "Quebradas2";
			}
		break;

		case "Quebradas2":
			dialog.text = DLG_TEXT[83];
			if (!CheckAttribute(NPChar, "quest.outfit_changed")) dialog.text = dialog.text + DLG_TEXT[158];
			else dialog.text = dialog.text + DLG_TEXT[159];
			link.l1 = DLG_TEXT[85];
			link.l1.go = "Exit_to_QC_town";
			if (!CheckAttribute(PChar, "quest.tour.falaise_done") || !CheckAttribute(PChar, "quest.tour.muelle_done") || !CheckAttribute(PChar, "quest.tour.douwesen_done") || !CheckAttribute(PChar, "quest.tour.conceicao_done"))
			{
				dialog.text = dialog.text + DLG_TEXT[84];
				link.l2 = DLG_TEXT[86];
				link.l2.go = "Where_next";
			}
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Exit_to_QC_town":
			NPChar.location	= "QC_town";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto6";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			PChar.quest.tour.location = "QC_town";
			Diag.TempNode = "Quebradas3";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Quebradas3":
			if (PChar.location != "QC_town")
			{
				dialog.text = DLG_TEXT[87] + PChar.lastname + DLG_TEXT[88];
				link.l1 = DLG_TEXT[89];
				link.l1.go = "exit";
			}
			else
			{
				if (!CheckAttribute(NPChar, "quest.outfit_changed")) dialog.text = DLG_TEXT[90];
				else
				{
					dialog.text = "";
					link.l1 = DLG_TEXT[92];
					link.l1.go = "Quebradas4";
					link.l2 = DLG_TEXT[94];
					link.l2.go = "Where_next";
					link.l3 = DLG_TEXT[31];
					link.l3.go = "Exit_delay_continue_tour";
				}
				dialog.text = dialog.text + DLG_TEXT[91];
				link.l1 = DLG_TEXT[92];
				link.l1.go = "Quebradas4";
			}
		break;

		case "Quebradas4":
			if (!CheckAttribute(NPChar, "quest.outfit_changed"))
			{
				dialog.text = DLG_TEXT[93];
				NPChar.quest.outfit_changed = true;
			}
			else dialog.text = DLG_TEXT[160];
			link.l1 = DLG_TEXT[94];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[31];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Muelle1":
			if (PChar.location != "Muelle_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.muelle_done = true;
				PChar.quest.tour.next_location = "";
				AddQuestRecord("Barbossa_tour", 14);
				dialog.text = DLG_TEXT[95];
				link.l1 = DLG_TEXT[96];
				link.l1.go = "Muelle2";
			}
		break;

		case "Muelle2":
			if (CheckAttribute(PChar, "quest.tour.falaise_done")) dialog.text = DLG_TEXT[97];
			else dialog.text = DLG_TEXT[98];
			dialog.text = dialog.text + DLG_TEXT[99];
			link.l1 = DLG_TEXT[100];
			link.l1.go = "Muelle3";
			link.l2 = DLG_TEXT[86];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Muelle3":
			AddQuestRecord("Barbossa_tour", 15);
			dialog.text = DLG_TEXT[101];
			link.l1 = DLG_TEXT[102];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[31];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "Douwesen1":
			if (PChar.location != "Douwesen_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.douwesen_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[103];
				link.l1 = DLG_TEXT[104];
				link.l1.go = "Douwesen2";
			}
		break;

		case "Douwesen2":
			if (!CheckAttribute(PChar, "quest.ANIMISTS")) dialog.text = DLG_TEXT[105];
			else dialog.text = DLG_TEXT[106];
			dialog.text = dialog.text + DLG_TEXT[107];
			link.l1 = DLG_TEXT[108];
			link.l1.go = "Douwesen3";
		break;

		case "Douwesen3":
			AddQuestRecord("Barbossa_tour", 17);
			if (!CheckAttribute(PChar, "quest.ANIMISTS")) dialog.text = DLG_TEXT[109];
			else dialog.text = DLG_TEXT[110];
			dialog.text = dialog.text + DLG_TEXT[111] + DLG_TEXT[112] + year + DLG_TEXT[113];
			link.l1 = DLG_TEXT[114];
			link.l1.go = "Douwesen4";
			link.l2 = DLG_TEXT[117];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Douwesen4":
			dialog.text = DLG_TEXT[115];
			link.l1 = DLG_TEXT[116];
			link.l1.go = "Douwesen5";
			link.l2 = DLG_TEXT[117];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Douwesen5":
			dialog.text = DLG_TEXT[118];
			link.l1 = DLG_TEXT[119];
			link.l1.go = "Exit_to_Pirate_Fort";
			link.l2 = DLG_TEXT[120];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";	
		break;

		case "Exit_to_Pirate_Fort":
			AddQuestRecord("Barbossa_tour", 9);
			NPChar.location	= "Pirate_Fort";
			NPChar.location.group = "goto";
			NPChar.location.locator = "goto28";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			NPChar.quest.outfit_changed = true;
			PChar.quest.tour.location = "Pirate_Fort";
			Diag.TempNode = "Pirate_Fort1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Pirate_Fort1":
			if (PChar.location != "Pirate_Fort")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				AddQuestRecord("Barbossa_tour", 18);
				dialog.text = DLG_TEXT[122];
				link.l1 = DLG_TEXT[123];
				link.l1.go = "Where_next";
				link.l2 = DLG_TEXT[31];
				link.l2.go = "Exit_delay_continue_tour";
			}
		break;

		case "Conceicao1":
			if (PChar.location != "Conceicao_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				PChar.quest.tour.conceicao_done = true;
				PChar.quest.tour.next_location = "";
				dialog.text = DLG_TEXT[124] + year + DLG_TEXT[125];
				link.l1 = DLG_TEXT[126];
				link.l1.go = "Conceicao2";
			}
		break;

		case "Conceicao2":
			dialog.text = DLG_TEXT[127];
			link.l1 = DLG_TEXT[128];
			link.l1.go = "Conceicao3";
		break;

		case "Conceicao3":
			dialog.text = DLG_TEXT[129];
			link.l1 = DLG_TEXT[130];
			link.l1.go = "Conceicao4";
		break;

		case "Conceicao4":
			AddQuestRecord("Barbossa_tour", 19);
			dialog.text = DLG_TEXT[131];
			link.l1 = DLG_TEXT[132];
			link.l1.go = "Conceicao5";
			link.l2 = DLG_TEXT[133];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Conceicao5":
			dialog.text = DLG_TEXT[134];
			link.l1 = DLG_TEXT[135];
			link.l1.go = "Conceicao6";
			link.l2 = DLG_TEXT[86];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Conceicao6":
			dialog.text = DLG_TEXT[136];
			link.l1 = DLG_TEXT[137];
			link.l1.go = "Exit_to_Smugglers_Lair";
			link.l2 = DLG_TEXT[138];
			link.l2.go = "Where_next";
			link.l3 = DLG_TEXT[31];
			link.l3.go = "Exit_delay_continue_tour";
		break;

		case "Exit_to_Smugglers_Lair":
			AddQuestRecord("Barbossa_tour", 11);
			NPChar.location	= "Smugglers_Lair";
			NPChar.location.group = "goto";
			NPChar.location.locator = "character11";
			NPChar.model = "Barbossa";
			NPChar.headmodel = "h_Barbossa";
			NPChar.quest.outfit_changed = true;
			PChar.quest.tour.location = "Smugglers_Lair";
			Diag.TempNode = "Smugglers_Lair1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;

		case "Smugglers_Lair1":
			if (PChar.location != "Smugglers_Lair")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				dialog.text = DLG_TEXT[140];
				link.l1 = DLG_TEXT[142];
				link.l1.go = "Smugglers_Lair2";
			}
		break;

		case "Smugglers_Lair2":
			AddQuestRecord("Barbossa_tour", 20);
			dialog.text = DLG_TEXT[143];
			link.l1 = DLG_TEXT[144];
			link.l1.go = "Where_next";
			link.l2 = DLG_TEXT[31];
			link.l2.go = "Exit_delay_continue_tour";
		break;

		case "KhaelRoa1":
			if (PChar.location != "KhaelRoa_port")
			{
				dialog.text = DLG_TEXT[38] + Next_Location + "?";
				link.l1 = DLG_TEXT[39];
				link.l1.go = "exit";
			}
			else
			{
				Locations[FindLocation("KhaelRoa_port")].reload.l2.disable = 0;
				Locations[FindLocation("KhaelRoa_port")].reload.l3.disable = 0;
				dialog.text = DLG_TEXT[145];
				link.l1 = DLG_TEXT[146];
				link.l1.go = "KhaelRoa2";
			}
		break;

		case "KhaelRoa2":
			dialog.text = DLG_TEXT[147];
			link.l1 = DLG_TEXT[148];
			link.l1.go = "KhaelRoa3";
		break;

		case "KhaelRoa3":
			dialog.text = DLG_TEXT[149];
			link.l1 = DLG_TEXT[150];
			link.l1.go = "Tour_end";
		break;

		case "Tour_end":
			dialog.text = DLG_TEXT[151] + PChar.lastname + DLG_TEXT[152];
			link.l1 = DLG_TEXT[153];
			link.l1.go = "Exit_tour_end";
		break;

		case "Tour_end1":
			dialog.text = DLG_TEXT[154];
			link.l1 = DLG_TEXT[155];
			link.l1.go = "exit";
			LAi_LocationFightDisable(&Locations[FindLocation("KhaelRoa_port")], false);
			LAi_SetWarriorType(NPChar);
			LAi_warrior_DialogEnable(NPChar, true);
			LAi_warrior_SetStay(NPChar, true);
		break;

		case "Exit_tour_end":
			AddQuestRecord("Barbossa_tour", 21);
			CloseQuestHeader("Barbossa_tour");
			NPChar.location	= "None";
			NPChar.location.group = "";
			NPChar.location.locator = "";
			PChar.quest.tour.location = "";

// Levelling messes up a character's perks, so set them here
			NPChar.perks.list.BasicDefense = true;
			NPChar.perks.list.AdvancedDefense = true;
			NPChar.perks.list.SwordplayProfessional = true;
			NPChar.perks.list.CriticalHit = true;
//			Lai_SetImmortal(NPChar, false);

			Diag.TempNode = "Tour_end1";
			Diag.CurrentNode = Diag.TempNode;
			DialogExit();
		break;
	}
}